OAuthProvider::timestampNonceHandler
OAuthException
OAuthProvider
PHP Manual

# OAuthProvider::tokenHandler

Set the tokenHandler handler callback

### Description

public void OAuthProvider::tokenHandler ( callable `$callback_function` )

Sets the token handler callback, which will later be called with OAuthProvider::callTokenHandler.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`callback_function`

  The callable functions name.

### Return Values

No value is returned.

### Examples

Example #1 Example OAuthProvider::tokenHandler callback

`<?php
function tokenHandler($provider) {
if ($provider->token === 'rejected') {
return OAUTH_TOKEN_REJECTED;
} elseif ($provider->token === 'revoked') {
return OAUTH_TOKEN_REVOKED;
}
$provider->token_secret = "the_tokens_secret";
return OAUTH_OK;
}
?>`

### See Also

- OAuthProvider::callTokenHandler